com.sap.conn.jco

## Interface JCoCustomDestination.SncConfigurationData

- Enclosing interface:
    JCoCustomDestination

      public static interface JCoCustomDestination.SncConfigurationData

  SncConfigurationData allows change SNC configuration for a JCoCustomDestination. Consults SAP Security Documentation for details.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setSncLibrary(String sncLibrary)` sets path to the SNC library
    `void` | `setSncMode(String sncMode)` sets mode of the SNC.
    `void` | `setSncMyName(String sncMyName)` sets own SNC name
    `void` | `setSncPartnerName(String sncPartnerName)` sets partner SNC name
    `void` | `setSncQOP(String sncQOP)` sets Quality of service of SNC
    `void` | `setSncWithSSO(boolean useSingleSignOn)` Allows adjusting the SSO behavior of SNC.

- - ### Method Detail

    - #### setSncMode

          void setSncMode(String sncMode)

      sets mode of the SNC.
      Parameters:
        `sncMode` - 0 or 1

    - #### setSncQOP

          void setSncQOP(String sncQOP)

      sets Quality of service of SNC
      Parameters:
        `sncQOP` - with a valid range of [1..9]

    - #### setSncMyName

          void setSncMyName(String sncMyName)

      sets own SNC name
      Parameters:
        `sncMyName` - SNC name

    - #### setSncPartnerName

          void setSncPartnerName(String sncPartnerName)

      sets partner SNC name
      Parameters:
        `sncPartnerName` - partner SNC name

    - #### setSncLibrary

          void setSncLibrary(String sncLibrary)

      sets path to the SNC library
      Parameters:
        `sncLibrary` - path to the SNC library

    - #### setSncWithSSO

          void setSncWithSSO(boolean useSingleSignOn)

      Allows adjusting the SSO behavior of SNC. When passing `false`, authentication is switched to user/password mechanism, otherwise the SSO mechanism of SNC will be used.
      Parameters:
        `useSingleSignOn` - if set to false authentication is switched to user/password
      Since:
        JCo 3.0.9

Copyright © 2016 SAP. All Rights Reserved.